Bug 1398556 - Gimp screenshot function does not work under Wayland session
Summary: Gimp screenshot function does not work under Wayland session
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp
Version: 25
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Josef Ridky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-11-25 09:00 UTC by Deron Meranda
Modified: 2017-05-26 03:54 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-05-15 04:36:28 UTC


Attachments (Terms of Use)
crash log from journctl (4.26 KB, text/plain)
2016-11-25 09:06 UTC, Deron Meranda
no flags Details
backport patch from upstrem (331.83 KB, patch)
2017-05-10 12:32 UTC, Josef Ridky
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 757687 None None None 2017-05-04 13:42 UTC

Description Deron Meranda 2016-11-25 09:00:28 UTC
Description of problem:
When running Gimp under Gnome/Wayland the function to take a screenshot does not work.

Version-Release number of selected component (if applicable):
Gimp 2.8.18

How reproducible:
* Always broken (makes an all-black image).
* Infrequently will crash the entire Wayland session, killing all applications.

Steps to Reproduce:
1. Be sure you've logged into a Wayland session.
2. Start Gimp and then select the menu File > Create > Screenshot...
3. Click the "Snap" button to attempt to take a screenshot.  If taking a shot of a single window rather than the entire display you are supposed to click the mouse inside the target window.

Actual results:
The newly created image file will have the correct dimensions but will be entirely black.

Expected results:
The image file should be a copy of what was displayed.

Additional info:
I know this is in general a "known issue" with Wayland, but I've not seen this specific mention of a Gimp feature being mentioned.  Also it this can't be fixed it may be preferable to hide the Create/Screenshot menu choice when running Gimp under Wayland.

Other interesting behavior... when taking a window screenshot, the cross-hairs cursor used to select the target window can only select those windows that run under the Meta X11 class, and not the Wayland class (e.g., can't click on say a gnome-terminal).

Comment 1 Deron Meranda 2016-11-25 09:06 UTC
Created attachment 1224178 [details]
crash log from journctl

This is the output from journalctl (without the timestamps and hostnames) after the entire Wayland session crashed when trying to take a Gimp screenshot.

Note as invalid event timestamps are mentioned, I did check that the system chrony (ntp) service is working and the system is synced up to an NTP clock.

Comment 2 Deron Meranda 2016-11-25 09:08:44 UTC
As for the occasional crash of Wayland itself. I don't know if this is the same bug or not. But I was able to make it happen at least three times by doing nothing other than taking screenshots from the Gimp application (of course getting black images when it didn't crash).

Comment 3 Josef Ridky 2017-05-10 12:32 UTC
Created attachment 1277612 [details]
backport patch from upstrem

This patch fixes gimp issue with screenshot function under Wayland session.

Comment 4 Fedora Update System 2017-05-11 08:41:39 UTC
gimp-2.8.22-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d0d68371c7

Comment 5 Fedora Update System 2017-05-11 08:41:58 UTC
gimp-2.8.22-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7aa5a8c53f

Comment 6 Fedora Update System 2017-05-11 08:42:10 UTC
gimp-2.8.22-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-48ba0035fd

Comment 7 Fedora Update System 2017-05-12 13:36:24 UTC
gimp-2.8.22-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7aa5a8c53f

Comment 8 Fedora Update System 2017-05-12 22:34:37 UTC
gimp-2.8.22-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d0d68371c7

Comment 9 Fedora Update System 2017-05-13 01:10:28 UTC
gimp-2.8.22-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-48ba0035fd

Comment 10 Fedora Update System 2017-05-15 04:36:28 UTC
gimp-2.8.22-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-05-16 00:54:55 UTC
gimp-2.8.22-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-05-26 03:54:10 UTC
gimp-2.8.22-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.